[PhAzE] Plugins for Unraid 5/6


3606 posts in this topic Last Reply

Recommended Posts

Update button showed "New Version: 2015.09.11.1" (still shows that even after updating to 2015.10.04.1)

 

So updated by grabbing all the plugins off main page and adding them manually.

Rebooted.

Still not fetching NZBs.

 

PhAze your work on this is very much appreciated.

I need to just find the time to update to 6.1 and hopefully enough others will do it too so you don't have to deal with the headaches of supporting 5.

I thank you though.

Link to post
  • Replies 3.6k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Just a quick update, unRaid 6.4 looks like it will be using nginx for the web front end over emhttp (which is a good switch IMO) but that means there is a good chance all of my plugins will not work o

Important info regarding unRAID 6.2 and beyond.          ***unRAID 6.2 Compatible*** Hello again!   I've done another overhaul of the plugins

Unfortunately, @PhAzE no longer seems to be active at all within these forums.  His last time online was March 23, and his last posting was on February 22.  I'm sure I speak for all of us in hoping th

Posted Images

I got around the cert issue on Sab 0.8 (will work for 0.7 too) by disabling enable_https_verification (setting to 0) in the sabnzbd.ini or via your GUI (Settings, Special) if your using Glitter theme. Need to restart after changing this.

Link to post

Update button showed "New Version: 2015.09.11.1" (still shows that even after updating to 2015.10.04.1)

 

So updated by grabbing all the plugins off main page and adding them manually.

Rebooted.

Still not fetching NZBs.

 

PhAze your work on this is very much appreciated.

I need to just find the time to update to 6.1 and hopefully enough others will do it too so you don't have to deal with the headaches of supporting 5.

I thank you though.

Fixed the plugin seeing updates. I forgot to update my version file. Now everyone should see the updates.

Link to post

I got around the cert issue on Sab 0.8 (will work for 0.7 too) by disabling enable_https_verification (setting to 0) in the sabnzbd.ini or via your GUI (Settings, Special) if your using Glitter theme. Need to restart after changing this.

 

That option doesn't appear to be in Sabnzbd 7.20 neither in the settings nor sabnzbd.ini.

Link to post

After updating to yesterdays plugin update, are there still cert problems?

 

For me there are.

Still wouldn't fetch nzbs

So I went back to 2015.07.28.1

Unraid 5.0.6

Sabnzbd 7.20

 

Need me to do anything like update to the new version again and post a log or something?

 

On a side note the main reason I haven't updated to 6 yet is there's no plugin for MySQL (old one is 5 only) and it will take considerably longer having to figure out how to use docker and get it working. So if you ever find yourself bored and want to make a new plugin.... :)

Link to post

Actually the docker setup is pretty simple.  Install mysql docker, map any folders younwant it tonaccess but otherwise it uses ip and port.

 

Then run "docker exec -it /bin/bash to access a console in that docker. Thats it.

 

I would suggest updating all of my pluginsbthat you are running including sab, then check the nzbs. I updated all the plugins to use the new cert package.

Link to post

Actually the docker setup is pretty simple.  Install mysql docker, map any folders younwant it tonaccess but otherwise it uses ip and port.

 

Then run "docker exec -it /bin/bash to access a console in that docker. Thats it.

 

I would suggest updating all of my pluginsbthat you are running including sab, then check the nzbs. I updated all the plugins to use the new cert package.

 

Ok updated Sab, SB, SBalt, and Transmission this time through the plugin updater

rebooted

Doesn't fetch nzbs due to ssl

 

 

Yeah the docker stuff doesn't look too complicated reading about it but it seems for me things have a way of going screwy when you actually work with them so I'm being a little gunshy. Main thing is time if something goes wrong with a wife and four kids clamoring for your time or the TV.

 

 

Link to post

Actually the docker setup is pretty simple.  Install mysql docker, map any folders younwant it tonaccess but otherwise it uses ip and port.

 

Then run "docker exec -it /bin/bash to access a console in that docker. Thats it.

 

I would suggest updating all of my pluginsbthat you are running including sab, then check the nzbs. I updated all the plugins to use the new cert package.

 

Ok updated Sab, SB, SBalt, and Transmission this time through the plugin updater

rebooted

Doesn't fetch nzbs due to ssl

 

 

Yeah the docker stuff doesn't look too complicated reading about it but it seems for me things have a way of going screwy when you actually work with them so I'm being a little gunshy. Main thing is time if something goes wrong with a wife and four kids clamoring for your time or the TV.

You need to stop and start the app again, after updating the plugin (or better yet, reboot the server) before the package is updated.

Link to post

You need to stop and start the app again, after updating the plugin (or better yet, reboot the server) before the package is updated.

 

I did after updating. My fault for not clarifying what I rebooted.

Updated all apps.

Rebooted server.

Sab doesn't fetch.

 

I'm totally happy with staying with 2015.07.28.1 until I upgrade to 6. It works I'm good. I'm mainly doing this to help with testing for you so whatever you'd like me to try I'll do.

 

Link to post

I got around the cert issue on Sab 0.8 (will work for 0.7 too) by disabling enable_https_verification (setting to 0) in the sabnzbd.ini or via your GUI (Settings, Special) if your using Glitter theme. Need to restart after changing this.

 

That option doesn't appear to be in Sabnzbd 7.20 neither in the settings nor sabnzbd.ini.

 

Hi Riot, your right! Its a 0.8 feature http://wiki.sabnzbd.org/configure-special-0-8. Its working pretty well if you want to upgrade to it by selecting beta yes in the plugin screen.

Link to post

Just want to say THANKS! for these great plugins.

 

Don't know if that has been requested, but I just started playing with PlexPy to help monitor my Plex Media Server usage and I'm quite impressed.  Any thought given to creating a PlexPy Plugin?

 

Thanks again for the great plugins.

 

Mike

Link to post

I was using the plugin for sabnzbd made in May. And yesterday I installed the sabnzbd beta version 8.0 for the first time. I uncheck the https option in special options and the app could load the nzb but couldn't download from newsgroup. Just sort of hangs there. Not sure what is happening?

 

So I tried to stop and upgrade the plugin. Now the settings page in tower doesn't load the various options. Neither can I connect to sabnzbd too. How can I fix it? I can't even revert the plugin if I wanted to. Should I restart the tower?

Link to post

Hello! Thank you so much for your hard work on these plugins!

 

Did you ever get the lxml dependency for Couchpotato working?

 

Im running unraid 5, just updated to the latest plugins, rebooted and I'm getting errors in my Couchpotato logs:

 

0-07 03:42:36 ERROR

[chpotato.core._base._core] LXML not available, please install for better/faster scraping support: `http://lxml.de/installation.html`

10-07 03:42:36 ERROR

[chpotato.core._base._core] OpenSSL installed but 0.15 is needed while 0.14 is installed. Run `pip install pyopenssl --upgrade`

 

Cheers!

Link to post

I'm having issues with loading up transmission after the latest update (today):

/usr/local/Transmission/usr/bin/transmission-daemon: error while loading shared libraries: libevent-2.0.so.5: cannot open shared object file: No such file or directory

 

 

Link to post

 

I was using the plugin for sabnzbd made in May. And yesterday I installed the sabnzbd beta version 8.0 for the first time. I uncheck the https option in special options and the app could load the nzb but couldn't download from newsgroup. Just sort of hangs there. Not sure what is happening?

 

So I tried to stop and upgrade the plugin. Now the settings page in tower doesn't load the various options. Neither can I connect to sabnzbd too. How can I fix it? I can't even revert the plugin if I wanted to. Should I restart the tower?

 

Apparently it's working now. I need to click on the tab, and the UI will appear. However it will not work - blocked by the done text and cubes thingy. I just had to press back and go forward again to dismiss the loading overlay that's blocking. HTML problems?

 

Secondly is the queues in sabnzbd. They aren't working even though it is in Play/Resume mode. I had to pause all of them and individually click on the Play button in order for them to resume downloading. Not sure why

Link to post

 

 

 

I was using the plugin for sabnzbd made in May. And yesterday I installed the sabnzbd beta version 8.0 for the first time. I uncheck the https option in special options and the app could load the nzb but couldn't download from newsgroup. Just sort of hangs there. Not sure what is happening?

 

So I tried to stop and upgrade the plugin. Now the settings page in tower doesn't load the various options. Neither can I connect to sabnzbd too. How can I fix it? I can't even revert the plugin if I wanted to. Should I restart the tower?

 

Apparently it's working now. I need to click on the tab, and the UI will appear. However it will not work - blocked by the done text and cubes thingy. I just had to press back and go forward again to dismiss the loading overlay that's blocking. HTML problems?

 

Secondly is the queues in sabnzbd. They aren't working even though it is in Play/Resume mode. I had to pause all of them and individually click on the Play button in order for them to resume downloading. Not sure why

 

If your running unraid 6.1.x then the plugins in may will be broken. Try upgrading via command line with:

 

/etc/rc.d/rc.sabnzbd upgradeplg

 

Then reboot the server to flush out the old plugin dependencies.

 

This is because 6.1.x has a change in how the webUI is jailed breaking all the buttons on the old version, including the upgrade button.

Link to post

hi phaze, i still have problems with my cronjob & sickbeard_alt (sickrage repo) command to update/ check for updates every night:

05 5 * * * /etc/rc.d/rc.Sickbeard_alt update > /boot/logs/phaze.Sickbeard_alt.txt 2>&1 &

 

this is the log:

Stopping Sick Beard Alt...
Stop OK: Already stopped 
Installing Sick Beard Alt...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

every other of your plugin like sab, couch potato, plex, plexconnect, nzbmegasearch and btsync are running fine.

i'm on 6.1.3 and all plugins are up to date.

Link to post

 

 

I'm having issues with loading up transmission after the latest update (today):

/usr/local/Transmission/usr/bin/transmission-daemon: error while loading shared libraries: libevent-2.0.so.5: cannot open shared object file: No such file or directory

 

What unraid version are you running?

Link to post

hi phaze, i still have problems with my cronjob & sickbeard_alt (sickrage repo) command to update/ check for updates every night:

05 5 * * * /etc/rc.d/rc.Sickbeard_alt update > /boot/logs/phaze.Sickbeard_alt.txt 2>&1 &

 

this is the log:

Stopping Sick Beard Alt...
Stop OK: Already stopped 
Installing Sick Beard Alt...
fatal: Could not change back to '/root': Permission denied
Install failed: Install file missing 

 

every other of your plugin like sab, couch potato, plex, plexconnect, nzbmegasearch and btsync are running fine.

i'm on 6.1.3 and all plugins are up to date.

Can i suggest first switching to my sickrage plugin? I found that the "force update" option can break sickrage when used under sickbeard or sb_alt plugins..

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.